## org.apache.mahout.common.lucene
Class AnalyzerUtils

    java.lang.Object
      org.apache.mahout.common.lucene.AnalyzerUtils

    public final class AnalyzerUtils

extends Object

Method Summary
`static org.apache.lucene.analysis.Analyzer` `createAnalyzer(Class<? extends org.apache.lucene.analysis.Analyzer> analyzerClass)` Create an Analyzer using the latest `Version`.
`static org.apache.lucene.analysis.Analyzer` `createAnalyzer(Class<? extends org.apache.lucene.analysis.Analyzer> analyzerClass, org.apache.lucene.util.Version version)`
`static org.apache.lucene.analysis.Analyzer` `createAnalyzer(String analyzerClassName)` Create an Analyzer using the latest `Version`.
`static org.apache.lucene.analysis.Analyzer` `createAnalyzer(String analyzerClassName, org.apache.lucene.util.Version version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createAnalyzer

    public static org.apache.lucene.analysis.Analyzer createAnalyzer(String analyzerClassName)
                                                              throws ClassNotFoundException

  Create an Analyzer using the latest `Version`. Note, if you need to pass in parameters to your constructor, you will need to wrap it in an implementation that does not take any arguments

  Parameters:
    `analyzerClassName` - - Lucene Analyzer Name
  Returns:
    `Analyzer`
  Throws:
    `ClassNotFoundException` - - `ClassNotFoundException`

### createAnalyzer

    public static org.apache.lucene.analysis.Analyzer createAnalyzer(String analyzerClassName,
                                                                     org.apache.lucene.util.Version version)
                                                              throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### createAnalyzer

    public static org.apache.lucene.analysis.Analyzer createAnalyzer(Class<? extends org.apache.lucene.analysis.Analyzer> analyzerClass)

  Create an Analyzer using the latest `Version`. Note, if you need to pass in parameters to your constructor, you will need to wrap it in an implementation that does not take any arguments

  Parameters:
    `analyzerClass` - The Analyzer Class to instantiate
  Returns:
    `Analyzer`

### createAnalyzer

    public static org.apache.lucene.analysis.Analyzer createAnalyzer(Class<? extends org.apache.lucene.analysis.Analyzer> analyzerClass,
                                                                     org.apache.lucene.util.Version version)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.